---
project_name: revive

archives: 
  - format: binary
    id: binary-archive
  - format: tar.gz

builds:
  - binary: revive
    env:
      - CGO_ENABLED=0
    goos:
      - linux
    ldflags:
      - "-s"
      - "-w"
      - "-extldflags '-static'"
      - "-X gitlab.com/wobcom/iot/revive/cmd.version={{.Version}}"
      - "-X gitlab.com/wobcom/iot/revive/cmd.commit={{.ShortCommit}}"
      - "-X gitlab.com/wobcom/iot/revive/cmd.date={{.Date}}"
    goarch:
      - amd64
      - arm
    goarm:
      - 5
      - 6
      - 7

checksum:
  name_template: "checksums.txt"

snapshot:
  name_template: "{{ .Tag }}-next"

release:
  gitlab:
    owner: wobcom
    name: iot/revive

blobs:
  - provider: s3
    endpoint: "s3.cbk.cloud.syseleven.net"
    region: "cbk"
    bucket: iot-production-artifacts-repository
    folder: "{{ .ProjectName }}/{{ .Tag }}"

changelog:
  sort: asc
  filters:
    exclude:
      - "^docs:"
      - "^test:"
      - '^[Cc][Ii]\s?:'

dockers:
  - image_templates:
      - "harbor.service.wobcom.de/public/revive:latest"
      - "harbor.service.wobcom.de/public/revive:{{ .Tag }}"
      - "harbor.service.wobcom.de/public/revive:{{ .Major }}"
    dockerfile: build/package/docker/Dockerfile
